import kate

from print_frame import create_frame

pattern_str = """

class %(class_name)s(forms.ModelForm):

    def __init__(self, *args, **kwargs):
        super(%(class_name)s, self).__init__(*args, **kwargs)

    def clean(self):
        return super(%(class_name)s, self).clean()

    def save(self, commit=True):
        return super(%(class_name)s, self).save(commit)

    class Meta:
        model = %(class_model)s

    """

@kate.onAction("create form", "Ctrl+Shif+F")
def create_form():
    currentDocument = kate.document()
    view = kate.view()
    create_frame(currentDocument=currentDocument, view=view,
                    pattern_str=pattern_str, title='Create Form',
                    name_field='Name Form')

